Bug 252699

Summary: emulators/open-vm-tools open-vm-tools 11.2.5 has been released
Product: Ports & Packages Reporter: John Wolfe <jwolfe>
Component: Individual Port(s)Assignee: Renato Botelho <garga>
Status: Closed FIXED    
Severity: Affects Only Me CC: garga, jsavanyo, jwolfe, mp, vmware-gos-qa, zarychtam
Priority: --- Flags: bugzilla: maintainer-feedback? (jpaetzel)
Version: Latest   
Hardware: Any   
OS: Any   

Description John Wolfe 2021-01-15 01:36:43 UTC
open-vm-tools 11.2.5 has been released

Please see:

    https://github.com/vmware/open-vm-tools/releases/tag/stable-11.2.5

    https://github.com/vmware/open-vm-tools/releases/download/stable-11.2.5/open-vm-tools-11.2.5-17337674.tar.gz

The granular changes that have gone into the 11.2.5 release are in the ChangeLog at https://github.com/vmware/open-vm-tools/blob/stable-11.2.5/open-vm-tools/ChangeLog

This release contains fixes for a few identified memory leaks, issues uncovered by Coverity, and issues and pull requests from https://github.com/vmware/open-vm-tools

I want to bring to your attention a sample tools.conf configuration file provided in the release (open-vm-tools/tools.conf).   This provides the default vmtools configuration settings, as comments and could be installed as

   ${STAGEDIR}${PREFIX}/share/open-vm-tools/tools.conf
or 
   ${STAGEDIR}${PREFIX}/share/open-vm-tools/tools.conf.sample
Comment 1 Marek Zarychta 2021-02-06 12:17:10 UTC
I will hijack this PR a bit to give a feedback about -nox11 version of this port.
I am using -nox11 version of the port since a longer time and in the past upgrades went fine. With the version 11.1 something broke, so up till now I have been using open-vm-tools-nox11-11.0.1_3 (released 06 Feb 2020) locked with pkg lock. 
I am running STABLE, so I installed it from ports. The upgrade from 11.0 to 11.1 required building a lot of dependencies, so stalled upgrades since then. Now, after upgrading to 13.0-STABLE I probably had to build this port (emulators/open-vm-tools-nox11). I had to build and install enormous amount of software (please see below). I would skip this, but I was told that the guest tools are apparently required by vmware vcenter. 
 
The list of packages installed to build the port:

archivers/libmspack
devel/libltdl
lang/tcl86
graphics/jbig2dec
print/libpaper
graphics/poppler-data
print/ghostscript9-agpl-base
print/gsfonts
print/psutils
textproc/uchardet
textproc/groff
x11/xtrans
x11/libICE
x11/libSM
x11/libX11
x11-toolkits/libXt
x11/libXext
x11-toolkits/libXmu
x11/libXpm
x11-toolkits/libXaw
converters/fribidi
graphics/graphite2
print/harfbuzz
x11-fonts/font-util
x11-fonts/libfontenc
x11-fonts/mkfontscale
x11-fonts/encodings
x11-fonts/dejavu
x11-fonts/bdftopcf
x11-fonts/font-bh-ttf
x11-fonts/font-misc-ethiopic
x11-fonts/font-misc-meltho
x11-fonts/xorg-fonts-truetype
x11-toolkits/pango
x11/libXrender
graphics/graphviz
devel/tex-kpathsea
textproc/gsed
devel/zziplib
graphics/lcms2
graphics/openjpeg15
math/mpfr
print/tex-ptexenc
devel/tex-web2c
print/tex-basic-engines
devel/t1lib
graphics/libpotrace
devel/nspr
graphics/openjpeg
devel/binutils
security/nss
graphics/poppler
print/harfbuzz-icu
print/texlive-tlmgr
textproc/teckit
sysutils/p5-File-Which
devel/p5-File-HomeDir
textproc/p5-YAML-Tiny
print/texlive-base
print/texlive-texmf
print/tex-dvipsk
print/tex-formats
devel/doxygen
net/libdnet
sysutils/fusefs-libs

Is there any way to cut this list a bit? 
Ought the pkg be used on systems running STABLE?
Comment 2 Josh Paetzel freebsd_committer 2021-02-08 22:30:45 UTC
The docs switched to doxygen a few releases back.  Turn off docs and the deps list  gets way shorter.
Comment 3 commit-hook freebsd_committer 2021-03-25 12:10:48 UTC
A commit references this bug:

Author: garga
Date: Thu Mar 25 12:10:02 UTC 2021
New revision: 569197
URL: https://svnweb.freebsd.org/changeset/ports/569197

Log:
  emulators/open-vm-tools: Update to 11.2.5 and other changes

  - Update to 11.2.5 [1]
  - Make fuse dependency optional adding new FUSE option, enabled by default [2]
  - Remove CONFLICTS with packages that were removed years ago
  - Remove DOCS items from pkg-plist and use PORTDOCS instead
  - Install default tools.conf [1]
  - Do not mkdir directories not covered by pkg-plist
  - Rework patch-lib_guestApp_guestApp.c to respect ${PREFIX}
  - vmware-kmod.in:
  	- Simplify logic
  	- Use kldstat -q instead of redirect stdout/stderr [2]
  - Partially restore @preunexec removed in r473438.  Set tools.set.version as 0
    is important to let hypervisor to be notified package is removed.  Otherwise
    vCenter console shows tools status as "installed" but "not-running". [3]

  PR:		252699 [1]
  		226204 [2]
  		246440 [3]
  Submitted by:	John Wolfe <jwolfe@vmware.com> [1] [3]
  		ohauer [2]
  Sponsored by:	Rubicon Communications, LLC ("Netgate")

Changes:
  head/emulators/open-vm-tools/Makefile
  head/emulators/open-vm-tools/distinfo
  head/emulators/open-vm-tools/files/patch-lib_guestApp_guestApp.c
  head/emulators/open-vm-tools/files/vmware-kmod.in
  head/emulators/open-vm-tools/pkg-plist